<div class="card col-10" id="user-card">
  <div class="text-center">
    <img src="{{url + 'get-image-user/'+ identity.image }}" alt="" class="avatar-sidebar" *ngIf="identity.image" />
    <img src="assets/icon-user-default.png" class="avatar-sidebar" alt="" *ngIf="!identity.image" />
  </div>
  <div class="text-center">
    <a [routerLink]="['/profile',identity._id]">{{identity.name+' '+identity.surname}}</a>
    <br>
    <span>{{identity.nick}}</span>
  </div>

  <div id="user-stats" class="row">
    <div class="col div-stats"><a [routerLink]="['/followed',identity._id,1]"><span class="label-sidebar-stats">Seguidores: </span><br> <span class="num-sidebar-stats">{{stats.followed}}</span></a></div>
    <div class="col div-stats"><a [routerLink]="['/following',identity._id,1]"><span class="label-sidebar-stats">Siguiendo: </span> <br>  <span class="num-sidebar-stats">{{stats.following}}</span></a></div>
    <div class="col div-stats"><a [routerLink]="['/profile',identity._id]"><span class="label-sidebar-stats">Pubicaciones: </span> <br>
      <span class="num-sidebar-stats num-sidebar-stats-last">{{stats.publications}}</span></a>
    </div>
  </div>

  
 
</div>

<!--Formulario de publicacion-->
<div id="new-publication-card" class="card col-10">
  <div class="alert alert-success" *ngIf="status=='success'">Publicación enviada</div>
  <div class="alert alert-danger" *ngIf="status=='error'">Error al enviar tu publicación</div>
    <form #newPubForm="ngForm" (ngSubmit)="onSubmit(newPubForm, $event)">
      <p>
      <label for="newPubText"><h5>Nueva Publicación:</h5></label>
      <textarea class="form-control" name="text" #text="ngModel" [(ngModel)]="publication.text" id="newPubText" cols="25" rows="4" placeholder="¿Que estás pensando?" required>
      </textarea>
      <br>
      <span class="alert alert-warning mt-5" *ngIf="!text.valid && text.touched" >un texto es obligatorio</span>
    </p>
    <p>
      <label for="image"><h5>Sube una imagen</h5></label>
      <input type="file" id="image" class="form-control" (change)="fileChangeEvent($event)">
    </p>
    <p>
      <input type="submit" value="Publicar" class="btn btn-info" [disabled]="newPubForm.form.invalid">
    </p>
    </form>
</div>